scala.swing

# Table

#### class Table extends Component with Wrapper

Displays a matrix of items.

To obtain a scrollable table or row and columns headers, wrap the table in a scroll pane.

Source
  Table.scala
See also

  javax.swing.JTable

Linear Supertypes
Wrapper, Scrollable, Component, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Table
2. Wrapper
3. Scrollable
4. Component
5. UIElement
6. LazyPublisher
7. Publisher
8. Reactor
9. Proxy
10. AnyRef
11. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Table(rows: Int, columns: Int)

2. #### new Table(rowData: Array[Array[Any]], columnNames: Seq[_])

3. #### new Table()

### Type Members

1. #### trait SuperMixin extends JComponent

   This trait is used to redirect certain calls from the peer to the wrapper and back.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Table to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (Table, B)

   Implicit information
     This member is added by an implicit conversion from Table to ArrowAssoc[Table] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### def apply(row: Int, column: Int): Any

   Get the current value of the given cell.

   Get the current value of the given cell. The given cell coordinates are in view coordinates and thus not necessarily the same as for the model.

9. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

10. #### def autoResizeMode: Table.AutoResizeMode.Value

11. #### def autoResizeMode_=(x: Table.AutoResizeMode.Value): Unit

12. #### def background: Color

    Definition Classes
      UIElement

13. #### def background_=(c: Color): Unit

    Definition Classes
      UIElement

14. #### def blockIncrement(visibleRect: Rectangle, orientation: Orientation.Value, direction: Int): Int

    Definition Classes
      Wrapper → Scrollable

15. #### def border: Border

    Definition Classes
      Component

16. #### def border_=(b: Border): Unit

    Definition Classes
      Component

17. #### def bounds: java.awt.Rectangle

    Definition Classes
      UIElement

18. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

19. #### def cursor: Cursor

    Definition Classes
      UIElement

20. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

21. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

22. #### def displayable: Boolean

    Definition Classes
      UIElement

23. #### def editor(row: Int, column: Int): TableCellEditor

    Attributes
      protected

24. #### def enabled: Boolean

    Definition Classes
      Component

25. #### def enabled_=(b: Boolean): Unit

    Definition Classes
      Component

26. #### def ensuring(cond: (Table) ⇒ Boolean, msg: ⇒ Any): Table

    Implicit information
      This member is added by an implicit conversion from Table to Ensuring[Table] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

27. #### def ensuring(cond: (Table) ⇒ Boolean): Table

    Implicit information
      This member is added by an implicit conversion from Table to Ensuring[Table] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

28. #### def ensuring(cond: Boolean, msg: ⇒ Any): Table

    Implicit information
      This member is added by an implicit conversion from Table to Ensuring[Table] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

29. #### def ensuring(cond: Boolean): Table

    Implicit information
      This member is added by an implicit conversion from Table to Ensuring[Table] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

30. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

31. #### def equals(that: Any): Boolean

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Any implementation of this method should be an equivalence relation:

    - It is reflexive: for any instance `x` of type `Any`, `x.equals(x)` should return `true`.
    - It is symmetric: for any instances `x` and `y` of type `Any`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
    - It is transitive: for any instances `x`, `y`, and `z` of type `AnyRef` if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.

    If you override this method, you should verify that your implementation remains an equivalence relation. Additionally, when overriding this method it is usually necessary to override `hashCode` to ensure that objects which are "equal" (`o1.equals(o2)` returns `true`) hash to the same scala.Int. (`o1.hashCode.equals(o2.hashCode)`).

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → Any

32. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

33. #### def focusable: Boolean

    Definition Classes
      Component

34. #### def focusable_=(b: Boolean): Unit

    Definition Classes
      Component

35. #### def font: Font

    Definition Classes
      UIElement

36. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

37. #### def foreground: Color

    Definition Classes
      UIElement

38. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

39. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Table to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

40. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

41. #### def gridColor: java.awt.Color

42. #### def gridColor_=(color: Color): Unit

43. #### def hasFocus: Boolean

    Definition Classes
      Component

44. #### def hashCode(): Int

    Calculate a hash code value for the object.

    Calculate a hash code value for the object.

    The default hashing algorithm is platform dependent.

    Note that it is allowed for two objects to have identical hash codes (`o1.hashCode.equals(o2.hashCode)`) yet not be equal (`o1.equals(o2)` returns `false`). A degenerate implementation could always return `0`. However, it is required that if two objects are equal (`o1.equals(o2)` returns `true`) that they have identical hash codes (`o1.hashCode.equals(o2.hashCode)`). Therefore, when overriding this method, be sure to verify that the behavior is consistent with the `equals` method.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → Any

45. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

46. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

47. #### var initP: JComponent

    Definition Classes
      Component

48. #### def inputVerifier: (Component) ⇒ Boolean

    Definition Classes
      Component

49. #### def inputVerifier_=(v: (Component) ⇒ Boolean): Unit

    Definition Classes
      Component

50. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

51. #### object keys extends Publisher

    Definition Classes
      Component

52. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

53. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

54. #### def locale: Locale

    Definition Classes
      UIElement

55. #### def location: java.awt.Point

    Definition Classes
      UIElement

56. #### def locationOnScreen: java.awt.Point

    Definition Classes
      UIElement

57. #### def maximumSize: java.awt.Dimension

    Definition Classes
      UIElement

58. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

59. #### def minimumSize: java.awt.Dimension

    Definition Classes
      UIElement

60. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

61. #### def model: TableModel

62. #### val modelListener: TableModelListener

    Attributes
      protected

63. #### def modelToViewColumn(idx: Int): Int

64. #### def model_=(x: TableModel): Unit

65. #### object mouse

    Contains publishers for various mouse events.

66. #### def name: String

    Definition Classes
      Component

67. #### def name_=(s: String): Unit

    Definition Classes
      Component

68. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

69. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

70. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

71. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      Component → UIElement → LazyPublisher

72. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

73. #### def opaque: Boolean

    Definition Classes
      Component

74. #### def opaque_=(b: Boolean): Unit

    Definition Classes
      Component

75. #### def paint(g: Graphics2D): Unit

    Definition Classes
      Component

76. #### def paintBorder(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

77. #### def paintChildren(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

78. #### def paintComponent(g: Graphics2D): Unit

    For custom painting, users should usually override this method.

    For custom painting, users should usually override this method.

    Attributes
      protected
    Definition Classes
      Component

79. #### lazy val peer: JTable

    Definition Classes
      Table → Component → UIElement

80. #### def preferredSize: java.awt.Dimension

    Definition Classes
      UIElement

81. #### def preferredSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

82. #### def preferredViewportSize: java.awt.Dimension

    Definition Classes
      Wrapper → Scrollable

83. #### def preferredViewportSize_=(dim: Dimension): Unit

84. #### def publish(e: Event): Unit

    Notify all registered reactions.

    Notify all registered reactions.

    Definition Classes
      Publisher

85. #### val reactions: Reactions

    All reactions of this reactor.

    All reactions of this reactor.

    Definition Classes
      Reactor

86. #### def rendererComponent(isSelected: Boolean, focused: Boolean, row: Int, column: Int): Component

    Supplies a renderer component for a given cell.

    Supplies a renderer component for a given cell.

    Attributes
      protected

87. #### def repaint(rect: Rectangle): Unit

    Definition Classes
      UIElement

88. #### def repaint(): Unit

    Definition Classes
      UIElement

89. #### def requestFocus(): Unit

    Definition Classes
      Component

90. #### def requestFocusInWindow(): Boolean

    Definition Classes
      Component

91. #### def revalidate(): Unit

    Definition Classes
      Component

92. #### def rowCount: Int

93. #### def rowHeight: Int

94. #### def rowHeight_=(x: Int): Unit

95. #### def scrollablePeer: JTable

    Attributes
      protected
    Definition Classes
      Table → Wrapper

96. #### object selection extends Publisher

97. #### def selectionBackground: Color

98. #### def selectionBackground_=(c: Color): Unit

99. #### def selectionForeground: Color

100. #### def selectionForeground_=(c: Color): Unit

101. #### def self: java.awt.Component

     Definition Classes
       UIElement → Proxy

102. #### def showGrid: Boolean

103. #### def showGrid_=(grid: Boolean): Unit

104. #### def showing: Boolean

     Definition Classes
       UIElement

105. #### def size: java.awt.Dimension

     Definition Classes
       UIElement

106. #### def subscribe(listener: Reaction): Unit

     Definition Classes
       LazyPublisher → Publisher

107. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

108. #### def toString(): String

     Returns a string representation of the object.

     Returns a string representation of the object.

     The default representation is platform dependent.

     returns

       a string representation of the object.

     Definition Classes
       Component → Proxy → AnyRef → Any

109. #### def toolkit: Toolkit

     Definition Classes
       UIElement

110. #### def tooltip: String

     Definition Classes
       Component

111. #### def tooltip_=(t: String): Unit

     Definition Classes
       Component

112. #### def tracksViewportHeight: Boolean

     Definition Classes
       Wrapper → Scrollable

113. #### def tracksViewportWidth: Boolean

     Definition Classes
       Wrapper → Scrollable

114. #### def unitIncrement(visibleRect: Rectangle, orientation: Orientation.Value, direction: Int): Int

     Definition Classes
       Wrapper → Scrollable

115. #### def unsubscribe(listener: Reaction): Unit

     Definition Classes
       LazyPublisher → Publisher

116. #### def update(row: Int, column: Int, value: Any): Unit

     Change the value of the given cell.

117. #### def updateCell(row: Int, column: Int): Unit

     Visually update the given cell.

118. #### def viewToModelColumn(idx: Int): Int

119. #### def visible: Boolean

     Definition Classes
       UIElement

120. #### def visible_=(b: Boolean): Unit

     Definition Classes
       UIElement

121. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

122. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

123. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

124. #### def xLayoutAlignment: Double

     Used by certain layout managers, e.

     Used by certain layout managers, e.g., BoxLayout or OverlayLayout to align components relative to each other.

     Definition Classes
       Component

125. #### def xLayoutAlignment_=(x: Double): Unit

     Definition Classes
       Component

126. #### def yLayoutAlignment: Double

     Definition Classes
       Component

127. #### def yLayoutAlignment_=(y: Double): Unit

     Definition Classes
       Component

128. #### def →[B](y: B): (Table, B)

     Implicit information
       This member is added by an implicit conversion from Table to ArrowAssoc[Table] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Table to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (table: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Table to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (table: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: Table

   Implicit information
     This member is added by an implicit conversion from Table to ArrowAssoc[Table] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (table: ArrowAssoc[Table]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: Table

   Implicit information
     This member is added by an implicit conversion from Table to Ensuring[Table] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (table: Ensuring[Table]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Wrapper

### Inherited from Scrollable

### Inherited from Component

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Table to StringAdd

### Inherited by implicit conversion any2stringfmt from Table to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Table to ArrowAssoc[Table]

### Inherited by implicit conversion any2Ensuring from Table to Ensuring[Table]

### Ungrouped